WordPress5.0后台已经推送更新-Gutenberg(古腾堡)编辑器是个坑

2018年12月7日 3 3,360 698字阅读2分19秒

WordPress 5.0–en_US,后台已经推送了更新,之前说是11月19日将发布WordPress 5.0正式版,这推迟了将近一个月。大鸟第一时间更新了最新的5.0,不更不知道,一更吓一跳。

WordPress之前一直在使用 TinyMCE 作为默认的编辑器,也就是现在所说的经典编辑器,但是你更新5.0之后最大的改变就是编辑器已经更换成Gutenberg 编辑器了。从2016年开始,WP官方就提出来要开发新的模块编辑器,也就是大家现在看到的 Gutenberg 编辑器,额,如果更新了也不要紧,我们只要安装Classic Editor即可,不过大鸟还是先来给大家介绍下这个古登堡编辑器。

第一:古登堡编辑器

Wordpress5.0后台已经推送更新-Gutenberg(古腾堡)编辑器是个坑

额,我们看看汉化过后的版本:Wordpress5.0后台已经推送更新-Gutenberg(古腾堡)编辑器是个坑

看看,这个Gutenberg(古腾堡)编辑器插件只有两星半的打分,在后台插件搜索Gutenberg即可找到。Wordpress5.0后台已经推送更新-Gutenberg(古腾堡)编辑器是个坑

大鸟完全不会用啊,完全颠覆了使用习惯,从原来简单明了的文字编辑,变为繁琐的用可视化模块堆积制作网页模板一样,有点让人摸不到头脑!

第二、Classic Editor 插件

上面是古登堡编辑器,我们直接更新5.0之后会默认内置这个编辑器,是在不好用。我们的解决方法就是插件里搜索安装Classic Editor,安装启用。Wordpress5.0后台已经推送更新-Gutenberg(古腾堡)编辑器是个坑

设置好之后,我们即可回到之前的经典好用的编辑器。

第三、总结

大鸟更新了到了wordpress5.0,额,因为大鸟没有安装插件,插件的兼容性大鸟不清楚,WordPress 5.0 的改动还是非常大的,对主题和插件的兼容也是要考虑的问题,所以,建议大家搭建测试环境,测试主题和插件对新版本的兼容性,再考虑是否升级。不然还是暂缓升级,就算你升级好了也不好用。

  • 我的微信
  • 分享宝塔面板建站技术交流等!
  • weinxin
  • 微信公众号
  • 关注本博公众号
  • weinxin
  • 版权声明: 发表于 2018年12月7日
  • 转载注明:https://www.daniao.org/3561.html

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

目前评论:3   其中:访客  3   博主  0
    • avatar 24543 回复 1

      Disable Gutenberg用这个禁用

        • avatar 大鸟 回复 6

          @24543 嗯,也可以用这个方法!

        • avatar 绿软吧 回复 0

          感谢分享